Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.builder
Class AbstractClientMessageProcessorBuilder

    java.lang.Object
      org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
          org.mule.module.cxf.builder.AbstractClientMessageProcessorBuilder

All Implemented Interfaces:
  MuleContextAware, MessageProcessorBuilder

Direct Known Subclasses:
  JaxWsClientMessageProcessorBuilder, SimpleClientMessageProcessorBuilder

    public abstract class AbstractClientMessageProcessorBuilder

extends AbstractOutboundMessageProcessorBuilder

An abstract builder for non proxy clients.

Field Summary
`protected Class<?>` | `serviceClass`

Fields inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`address, client, configuration, databinding, decoupledEndpoint, defaultMethod, defaultMethodName, enableMuleSoapHeaders, features, inFaultInterceptors, inInterceptors, mtomEnabled, muleContext, operation, outFaultInterceptors, outInterceptors, payloadToArguments, properties, wsdlLocation`

Constructor Summary
`AbstractClientMessageProcessorBuilder()`

Method Summary
`protected void` | `configureClient(org.apache.cxf.endpoint.Client client)`
`Class<?>` | `getServiceClass()`
`void` | `setServiceClass(Class<?> serviceClass)`

Methods inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`addMuleInterceptors, build, configureMessageProcessor, createClient, createClientFromLocalServer, createMessageProcessor, getAddress, getBus, getClient, getConfiguration, getDatabinding, getDecoupledEndpoint, getFeatures, getInFaultInterceptors, getInInterceptors, getOperation, getOutFaultInterceptors, getOutInterceptors, getPayloadToArguments, getProperties, getWsdlLocation, isEnableMuleSoapHeaders, isMtomEnabled, setAddress, setConfiguration, setDatabinding, setDecoupledEndpoint, setEnableMuleSoapHeaders, setFeatures, setInFaultInterceptors, setInInterceptors, setMtomEnabled, setMuleContext, setOperation, setOutFaultInterceptors, setOutInterceptors, setPayloadToArguments, setProperties, setWsdlLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serviceClass

    protected Class<?> serviceClass

Constructor Detail

### AbstractClientMessageProcessorBuilder

    public AbstractClientMessageProcessorBuilder()

Method Detail

### configureClient

    protected void configureClient(org.apache.cxf.endpoint.Client client)

  Overrides:
    `configureClient` in class `AbstractOutboundMessageProcessorBuilder`

### setServiceClass

    public void setServiceClass(Class<?> serviceClass)

### getServiceClass

    public Class<?> getServiceClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.